﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AudioManager : SingletonMonoBehaviour<AudioManager>
{
    [SerializeField]
    private AudioSource _audioSource;

    [SerializeField]
    private AudioClip _rocketBoost;
    [SerializeField]
    private AudioClip _crash;
    [SerializeField]
    private AudioClip _swipe;

    private void Start()
    {
        DontDestroyOnLoad(gameObject);
    }

    public void PlayRocketBoost()
    {
        _audioSource.PlayOneShot(_rocketBoost);
    }

    public void PlayCrash()
    {
        _audioSource.PlayOneShot(_crash);
    }

    public void PlaySwipe()
    {
        _audioSource.PlayOneShot(_swipe);
    }
}
