﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour
{
    [SerializeField] private Rocket _rocket;

    [SerializeField] private Vector3 _cameraVelocity;
    [SerializeField] private float _lookVariable;


    private void FixedUpdate()
    {
        //Debug.Log("ZAngle roatation: " + _rocket.transform.rotation.eulerAngles);
        float rocketVelocity =  _rocket.Rigidbody.velocity.magnitude * 2;
        float cameraZoom = Mathf.Clamp(8 + rocketVelocity * 1.5f, 0, 20);
        float lookVariable = _lookVariable * Mathf.Clamp(rocketVelocity, 0, 10);

        //Debug.Log("Look variable: " + lookVariable);

        if (_rocket.transform.rotation.eulerAngles.z > 270) { if (_lookVariable < 1) _lookVariable += Time.deltaTime ; }
        else if (_rocket.transform.rotation.eulerAngles.z > 90) { if(_lookVariable > 0) _lookVariable -= Time.deltaTime ; }
        else { if (_lookVariable < 1) _lookVariable += Time.deltaTime ; }

        Vector3 endPosition = new Vector3(_rocket.transform.position.x, _rocket.transform.position.y, transform.position.z) + Vector3.up * lookVariable;
        //Debug.Log("EndPosition: " + endPosition + " Rocket Velocity: " + Vector3.up * rocketVelocity);


        gameObject.GetComponent<Camera>().orthographicSize = cameraZoom;

        float cameraVelocity = _rocket.Rigidbody.velocity.magnitude;
        //Debug.Log("Camera Velocity: " + cameraVelocity + " Rigidbody Velocity: " + _rocket.Rigidbody.velocity.magnitude);
        transform.position = Vector3.SmoothDamp(transform.position, endPosition, ref _cameraVelocity, Mathf.Clamp01(1f / cameraVelocity));

    }
}
