﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameModeSetter : MonoBehaviour
{
    [SerializeField]
    private Camera _cam1;
    [SerializeField]
    private Camera _cam2;
    [SerializeField]
    private Rocket _rocket1;
    [SerializeField]
    private Rocket _rocket2;
    [SerializeField]
    private UIButtonsManager _uiManagerP2;
    [SerializeField]
    private GameOverScreen _gameOverScreenP2;
    [SerializeField]
    private Arrow _arrowP2;
    [SerializeField]
    private Planet _startPlanetP2;
    [SerializeField]
    private Image _frame;
    [SerializeField]
    private Sprite _coopFrame;
    [SerializeField]
    private GameObject[] _deleteOnCoop;

    private void Awake()
    {
        if (GameSettings.GameMode != GameMode.Coop) return;

        Destroy(_cam2.gameObject);
        Destroy(_rocket2.gameObject);
        Destroy(_gameOverScreenP2);

        Rect rect = _cam1.rect;
        rect.width = 1;
        _cam1.rect = rect;

        Destroy(_arrowP2.gameObject);
        Destroy(_startPlanetP2.gameObject);

        _uiManagerP2.ChangeRocket(_rocket1);
        _frame.sprite = _coopFrame;

        for (int i = 0; i < _deleteOnCoop.Length; i++)
        {
            Destroy(_deleteOnCoop[i]);
        }
    }
}
