﻿using UnityEngine;
using UnityEngine.UI;

public class Arrow : MonoBehaviour
{
    private Vector2 worldViewPos;
    [SerializeField]
    private Canvas _canvas;
    [SerializeField]
    private Planet _finalPlanet;
    [SerializeField]
    private Image _image;
    [SerializeField]
    private RectTransform _rectTransform;
    [SerializeField]
    private bool _p2;

    private void Update()
    {

        //This shit calcutes where on the viewport this object would be. 0,0 is bottom left, 1,1 is top right. Can go beyond the 1.
        Vector2 pos = _canvas.worldCamera.WorldToViewportPoint(_finalPlanet.transform.position);
        //Don't know why, but this seems to get the margins right for the arrow

        Vector2 clampedPos;
        if (GameSettings.GameMode == GameMode.Coop)
        {
            clampedPos = new Vector2(Mathf.Clamp(pos.x, 0.1f, 0.9f), Mathf.Clamp(pos.y, 0.15f, 0.9f));
        }
        else
        {
            clampedPos = new Vector2(Mathf.Clamp(pos.x, _p2 ? 0.05f : 0.20f, _p2 ? 0.8f : 0.95f), Mathf.Clamp(pos.y, 0.20f, 0.95f));
        }

        if(clampedPos == pos)
        {
            _image.enabled = false;
        }
        else
        {
            _image.enabled = true;

            //Multiply the bullshit by the width of the canvas to figure out what it's anchored position should be.
            //NOTE: If you're doing this: set the anchor to the bottom left. Also really not sure why it needs to multiplied by 2, but I aint complaining
            Vector2 clampedViewPos = new Vector2((clampedPos.x * _canvas.pixelRect.width) / (Screen.width / 1920f), (clampedPos.y * _canvas.pixelRect.height) / (Screen.height / 1080f));
            _rectTransform.anchoredPosition = clampedViewPos;

            Vector3 dir = clampedPos - pos;
            float angle = Mathf.Atan2(dir.x, clampedPos.y > 0.5f ? dir.z : -dir.z) * Mathf.Rad2Deg;
            _rectTransform.rotation = Quaternion.Euler(0, 0, angle);
        }
    }
}
