﻿using System;
using UnityEngine;
using UnityEngine.UI;

public class BoostButton : UIButton
{
    [SerializeField]
    private Text _valueText;

    private float _currentValue = 0;

    public override void DecreaseValue()
    {
        SetValue(-0.5f);
    }

    public override void IncreaseValue()
    {
        SetValue(0.5f);
    }

    private void SetValue(float change)
    {
        _currentValue = Mathf.Clamp(_currentValue + change, 0, 10);
        //Fix stupid floating point inaccuracy issues
        double roundedValue = Math.Round(_currentValue, 2);
        _valueText.text = roundedValue + "m/s";
    }

    public override void Trigger()
    {
        if (_currentValue != 0)
        {
            _rocket.AddDelayedBoost(_currentValue);
        }
    }

    public override void Reset()
    {
        SetValue(-_currentValue);
    }
}
