﻿using System;
using UnityEngine;
using UnityEngine.UI;

public class RotateButton : UIButton
{
    [SerializeField]
    private Text _valueText;

    private int _currentValue = 0;

    public override void DecreaseValue()
    {
        SetValue(-45);
    }

    public override void IncreaseValue()
    {
        SetValue(45);
    }

    private void SetValue(int change)
    {
        _currentValue = Mathf.Clamp(_currentValue + change, -180, 180);
        _valueText.text = _currentValue + "°";
    }

    public override void Trigger()
    {
        _rocket.AddDelayedRotation(_currentValue);
    }

    public override void Reset()
    {
        SetValue(-_currentValue);
    }
}
