﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class StartScreen : MonoBehaviour
{
    [SerializeField]
    private GameObject _levelSelect;
    [SerializeField]
    private GameObject _credits;

    public void OnStartCoop()
    {
        GameSettings.GameMode = GameMode.Coop;
        ShowLevelSelect();
    }

    public void OnStartVersus()
    {
        GameSettings.GameMode = GameMode.Versus;
        ShowLevelSelect();
    }

    public void OnStartSandbox()
    {
        GameSettings.GameMode = GameMode.Sandbox;
        ShowLevelSelect();
    }

    public void OnQuit()
    {
        Application.Quit();
    }

    public void OnLevel1()
    {
        SceneManager.LoadScene("Level03Scene");
    }

    public void OnLevel2()
    {
        SceneManager.LoadScene("Level02Scene");
    }

    public void OnLevel3()
    {
        SceneManager.LoadScene("Level01Scene");
    }

    public void Cancel()
    {
        _levelSelect.SetActive(false);
    }

    public void Credits()
    {
        _credits.SetActive(true);
    }

    public void CloseCredits()
    {
        _credits.SetActive(false);
    }

    private void ShowLevelSelect()
    {
        _levelSelect.SetActive(true);
    }
}
