﻿using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public abstract class UIButton : MonoBehaviour
{
    [SerializeField]
    private Image _image;
    [SerializeField]
    private Sprite _pressedSprite;
    [SerializeField]
    private Sprite _normalSprite;

    protected Rocket _rocket;

    public void Initialize(Rocket rocket)
    {
        _rocket = rocket;
    }

    public void Select()
    {
        _image.sprite = _pressedSprite;
    }

    public void Deselect()
    {
        _image.sprite = _normalSprite;
    }

    public abstract void DecreaseValue();
    public abstract void IncreaseValue();
    public abstract void Trigger();
    public abstract void Reset();
}
